Package org.eclipse.net4j.util.io

## Class ExtendedDataInput.Delegating

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedDataInput.Delegating

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataInput`, `java.lang.AutoCloseable`, `ExtendedDataInput`
  Enclosing interface:
    ExtendedDataInput

      public static class ExtendedDataInput.Delegating
      extends java.lang.Object
      implements ExtendedDataInput, java.io.Closeable

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `ExtendedDataInput.Delegating, ExtendedDataInput.Stream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Delegating​(ExtendedDataInput delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `ExtendedDataInput` | `getDelegate()` |
    `boolean` | `readBoolean()` |
    `byte` | `readByte()` |
    `byte[]` | `readByteArray()` |
    `char` | `readChar()` |
    `double` | `readDouble()` |
    `<T extends java.lang.Enum<?>> T` | `readEnum​(java.lang.Class<T> type)` |
    `java.lang.Throwable` | `readException()` |
    `float` | `readFloat()` |
    `void` | `readFully​(byte[] b)` |
    `void` | `readFully​(byte[] b, int off, int len)` |
    `int` | `readInt()` |
    `java.lang.String` | `readLine()` |
    `long` | `readLong()` |
    `java.lang.Object` | `readObject()` |
    `java.lang.Object` | `readObject​(java.lang.ClassLoader classLoader)` |
    `java.lang.Object` | `readObject​(ExtendedIOUtil.ClassResolver classResolver)` |
    `short` | `readShort()` |
    `java.lang.String` | `readString()` |
    `int` | `readUnsignedByte()` |
    `int` | `readUnsignedShort()` |
    `java.lang.String` | `readUTF()` |
    `int` | `readVarInt()` |
    `long` | `readVarLong()` |
    `int` | `skipBytes​(int n)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Delegating

          public Delegating​(ExtendedDataInput delegate)

  - ### Method Detail

    - #### getDelegate

          public ExtendedDataInput getDelegate()

    - #### readBoolean

          public boolean readBoolean()
                              throws java.io.IOException

      Specified by:
        `readBoolean` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readByte

          public byte readByte()
                        throws java.io.IOException

      Specified by:
        `readByte` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readByteArray

          public byte[] readByteArray()
                               throws java.io.IOException

      Specified by:
        `readByteArray` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readChar

          public char readChar()
                        throws java.io.IOException

      Specified by:
        `readChar` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readDouble

          public double readDouble()
                            throws java.io.IOException

      Specified by:
        `readDouble` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFloat

          public float readFloat()
                          throws java.io.IOException

      Specified by:
        `readFloat` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFully

          public void readFully​(byte[] b,
                                int off,
                                int len)
                         throws java.io.IOException

      Specified by:
        `readFully` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFully

          public void readFully​(byte[] b)
                         throws java.io.IOException

      Specified by:
        `readFully` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readInt

          public int readInt()
                      throws java.io.IOException

      Specified by:
        `readInt` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readLine

          public java.lang.String readLine()
                                    throws java.io.IOException

      Specified by:
        `readLine` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readLong

          public long readLong()
                        throws java.io.IOException

      Specified by:
        `readLong` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readObject

          public java.lang.Object readObject()
                                      throws java.io.IOException

      Specified by:
        `readObject` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readObject

          public java.lang.Object readObject​(java.lang.ClassLoader classLoader)
                                      throws java.io.IOException

      Specified by:
        `readObject` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readObject

          public java.lang.Object readObject​(ExtendedIOUtil.ClassResolver classResolver)
                                      throws java.io.IOException

      Specified by:
        `readObject` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readShort

          public short readShort()
                          throws java.io.IOException

      Specified by:
        `readShort` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readString

          public java.lang.String readString()
                                      throws java.io.IOException

      Specified by:
        `readString` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`

    - #### readEnum

          public <T extends java.lang.Enum<?>> T readEnum​(java.lang.Class<T> type)
                                                   throws java.io.IOException

      Specified by:
        `readEnum` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### readException

          public java.lang.Throwable readException()
                                            throws java.io.IOException

      Specified by:
        `readException` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.4

    - #### readUnsignedByte

          public int readUnsignedByte()
                               throws java.io.IOException

      Specified by:
        `readUnsignedByte` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUnsignedShort

          public int readUnsignedShort()
                                throws java.io.IOException

      Specified by:
        `readUnsignedShort` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUTF

          public java.lang.String readUTF()
                                   throws java.io.IOException

      Specified by:
        `readUTF` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readVarInt

          public int readVarInt()
                         throws java.io.IOException

      Specified by:
        `readVarInt` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### readVarLong

          public long readVarLong()
                           throws java.io.IOException

      Specified by:
        `readVarLong` in interface `ExtendedDataInput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### skipBytes

          public int skipBytes​(int n)
                        throws java.io.IOException

      Specified by:
        `skipBytes` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Throws:
        `java.io.IOException`
      Since:
        3.6